/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
export { ApiError } from './core/ApiError';
export { CancelablePromise, CancelError } from './core/CancelablePromise';
export { OpenAPI } from './core/OpenAPI';
export type { OpenAPIConfig } from './core/OpenAPI';

export type { ActiveTimeRangeDto } from './models/ActiveTimeRangeDto';
export type { AppointmentClientDto } from './models/AppointmentClientDto';
export type { AppointmentContactPersonDto } from './models/AppointmentContactPersonDto';
export { AppointmentDto } from './models/AppointmentDto';
export type { AppointmentGroupTourVisitorsDto } from './models/AppointmentGroupTourVisitorsDto';
export type { AppointmentGuideDto } from './models/AppointmentGuideDto';
export type { AppointmentJoinTourVisitorsDto } from './models/AppointmentJoinTourVisitorsDto';
export type { AppointmentPriceDto } from './models/AppointmentPriceDto';
export type { AppointmentTouristPriceDto } from './models/AppointmentTouristPriceDto';
export type { AppointmentTouristVisitorsDto } from './models/AppointmentTouristVisitorsDto';
export type { AppointmentVisitorsDto } from './models/AppointmentVisitorsDto';
export type { AuthLogin } from './models/AuthLogin';
export type { ClientAppointmentPriceCalculationRequest } from './models/ClientAppointmentPriceCalculationRequest';
export type { ClientDto } from './models/ClientDto';
export type { CreateAgentGroupTourAppointmentDto } from './models/CreateAgentGroupTourAppointmentDto';
export type { CreateAgentGroupTourAppointmentRequest } from './models/CreateAgentGroupTourAppointmentRequest';
export type { CreateAgentJoinTourAppointmentDto } from './models/CreateAgentJoinTourAppointmentDto';
export type { CreateAgentJoinTourAppointmentRequest } from './models/CreateAgentJoinTourAppointmentRequest';
export type { CreateAgentWaitingListGroupTourAppointmentDto } from './models/CreateAgentWaitingListGroupTourAppointmentDto';
export type { CreateAgentWaitingListGroupTourAppointmentRequest } from './models/CreateAgentWaitingListGroupTourAppointmentRequest';
export type { CreateAgentWaitingListJoinTourAppointmentDto } from './models/CreateAgentWaitingListJoinTourAppointmentDto';
export type { CreateAgentWaitingListJoinTourAppointmentRequest } from './models/CreateAgentWaitingListJoinTourAppointmentRequest';
export type { CreateClientDto } from './models/CreateClientDto';
export type { CreateClientGroupTourAppointmentDto } from './models/CreateClientGroupTourAppointmentDto';
export type { CreateClientGroupTourAppointmentRequest } from './models/CreateClientGroupTourAppointmentRequest';
export type { CreateClientJoinTourAppointmentDto } from './models/CreateClientJoinTourAppointmentDto';
export type { CreateClientJoinTourAppointmentRequest } from './models/CreateClientJoinTourAppointmentRequest';
export type { CreateClientRequest } from './models/CreateClientRequest';
export { CreateResourceDto } from './models/CreateResourceDto';
export type { CreateResourceRequest } from './models/CreateResourceRequest';
export type { CreateUserDto } from './models/CreateUserDto';
export type { CreateUserRequest } from './models/CreateUserRequest';
export type { EmailNotificationSettingsDto } from './models/EmailNotificationSettingsDto';
export type { EntityScheduleDto } from './models/EntityScheduleDto';
export type { GroupTourDateSlots } from './models/GroupTourDateSlots';
export type { GroupTourScheduleTimeSlot } from './models/GroupTourScheduleTimeSlot';
export type { GroupTourSettingsDto } from './models/GroupTourSettingsDto';
export type { JoinTourSettingsDto } from './models/JoinTourSettingsDto';
export type { JoinTourTimeRangeDto } from './models/JoinTourTimeRangeDto';
export type { NotificationSettingsDto } from './models/NotificationSettingsDto';
export type { PageInfo } from './models/PageInfo';
export type { PageResponse } from './models/PageResponse';
export type { PaymentProviderSettingsDto } from './models/PaymentProviderSettingsDto';
export type { PelecardPaymentProviderSettingsDto } from './models/PelecardPaymentProviderSettingsDto';
export { PersonTourPriceDto } from './models/PersonTourPriceDto';
export type { PublicJoinTourSettingsDto } from './models/PublicJoinTourSettingsDto';
export type { ResourceDateSlots } from './models/ResourceDateSlots';
export { ResourceDto } from './models/ResourceDto';
export type { ResourceScheduleDto } from './models/ResourceScheduleDto';
export type { ResourceSlots } from './models/ResourceSlots';
export type { ResourcesScheduleDto } from './models/ResourcesScheduleDto';
export type { ScheduleDateSlots } from './models/ScheduleDateSlots';
export type { ScheduleSettingsDto } from './models/ScheduleSettingsDto';
export type { ScheduleTimeSlot } from './models/ScheduleTimeSlot';
export type { TimeRangeDto } from './models/TimeRangeDto';
export type { TimeSlot } from './models/TimeSlot';
export type { TokenResponse } from './models/TokenResponse';
export type { TourPricesDto } from './models/TourPricesDto';
export { UpdateAdminAppointmentDto } from './models/UpdateAdminAppointmentDto';
export type { UpdateAdminAppointmentRequest } from './models/UpdateAdminAppointmentRequest';
export { UpdateAgentAppointmentDto } from './models/UpdateAgentAppointmentDto';
export type { UpdateAgentAppointmentRequest } from './models/UpdateAgentAppointmentRequest';
export type { UpdateClientDto } from './models/UpdateClientDto';
export type { UpdateClientRequest } from './models/UpdateClientRequest';
export { UpdateResourceDto } from './models/UpdateResourceDto';
export type { UpdateResourceRequest } from './models/UpdateResourceRequest';
export type { UpdateResourceScheduleRequest } from './models/UpdateResourceScheduleRequest';
export type { UpdateUserDto } from './models/UpdateUserDto';
export type { UpdateUserRequest } from './models/UpdateUserRequest';
export type { UpdateVillageSettingsRequest } from './models/UpdateVillageSettingsRequest';
export type { UserDto } from './models/UserDto';
export { UserRole } from './models/UserRole';
export type { VillageSettingsDto } from './models/VillageSettingsDto';
export type { WeekScheduleDto } from './models/WeekScheduleDto';

export { AdminService } from './services/AdminService';
export { AgentService } from './services/AgentService';
export { AppointmentService } from './services/AppointmentService';
export { AuthService } from './services/AuthService';
export { ClientService } from './services/ClientService';
export { PaymentService } from './services/PaymentService';
export { ResourceService } from './services/ResourceService';
export { ResourceScheduleService } from './services/ResourceScheduleService';
export { SettingsService } from './services/SettingsService';
export { TimeslotService } from './services/TimeslotService';
export { UserService } from './services/UserService';
